##### experimental::basic_channel::operator= (2 of 2 overloads)

Move-assign a `experimental::basic_channel` from another.

    template<
        typename Executor1>
    constraint_t< is_convertible< Executor1, Executor >::value, basic_channel & > operator=(
        basic_channel< Executor1, Traits, Signatures... > && other);

This assignment operator moves a channel from one object to another. Cancels any outstanding asynchronous operations associated with the target object.

###### Parameters

other

  The other `experimental::basic_channel` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_channel(const executor_type&)` constructor.